MozillaZine

[Ext] MR Tech's Local Install 5.0.4.1 (6-3-06)

Announce and Discuss the Latest Theme and Extension Releases.
Old Makondo
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted May 10th, 2006, 9:45 pm

Thanks, XerBlade (about:functions) - i thought i was misreading something.
Now, does anybody know how to hide some of those about: from showing? I use Menu Editor but all 'abouts' show as one there. Wonder if a css code for hiding menus would work. TIA!

XerBlade

User avatar
 
Posts: 865
Joined: October 4th, 2005, 10:45 pm
Location: Nashville, TN, US

Post Posted May 10th, 2006, 10:46 pm

about:config > id=AboutConfig
about:plugins > id=AboutPlugins

And so on. They all follow that same convention.

So, in either userChome.css (below the Namespace) or Stylish (XUL NS added to the beginning):

Code: Select all
menuitem[id="AboutConfig"], menuitem[id="AboutPlugins"] {
   display:none !important;
}


That should take care of it, just changing the id to match which items to wish to remove.

P.S. The items in the Help > About:? menu and the about:config/plugins toolbar context menus share the same ids, so this method will remove the indicated items from all three.
User Agent
Extensions
AMD64/2.41GHz RAM/1.0GB ATI/256MB-GDDR3/128-bit/8xAGP Cable6.0M/384kbps

Lost User 33597
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted May 10th, 2006, 10:51 pm

ranasrule wrote:this is what i get in the jsconsoe every time i press the install button with "override maxversion check" checked

Error: [Exception... "Invalid InterfaceID" nsresult: "0x80570018 (NS_ERROR_XPC_BAD_IID)" location: "JS frame :: chrome://local_install/content/xpinstall.js :: anonymous :: line 18" data: no]
Source File: chrome://local_install/content/xpinstall.js
Line: 18


MR.TECH, can u please shed some light on this :-(

Old Makondo
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted May 10th, 2006, 11:35 pm

Thanks, XerBlade, i had the code handy, wasn't sure it will work for submenus, - it does. Thanks for your time!

slyfox

User avatar
 
Posts: 177
Joined: November 6th, 2004, 12:53 pm

Post Posted May 11th, 2006, 5:20 am

ranasrule wrote:
ranasrule wrote:this is what i get in the jsconsoe every time i press the install button with "override maxversion check" checked

Error: [Exception... "Invalid InterfaceID" nsresult: "0x80570018 (NS_ERROR_XPC_BAD_IID)" location: "JS frame :: chrome://local_install/content/xpinstall.js :: anonymous :: line 18" data: no]
Source File: chrome://local_install/content/xpinstall.js
Line: 18


MR.TECH, can u please shed some light on this :-(


What version are you using?
What it is saying is that "the error is on line 18 of "xpinstall.js""

If we look at line 18 we find this:
Code: Select all
Components.classes["@mozilla.org/network/io-service;1"]


So in other words "@mozilla.org/network/io-service;1" is an invalid Id

That’s what I gather
EDIT: After a google I found out that @mozilla.org/network/io-service is valid
May the source be with you

[EXT] Splash Screen - 1.2 (100%), 2.0 (10%)

[EXT] Slyfox - The Firefox logger - alpha (3%)

Uncle Spellbinder

User avatar
 
Posts: 3519
Joined: May 28th, 2004, 4:52 pm
Location: Highland, IN - U.S.A.

Post Posted May 11th, 2006, 6:58 am

Lanik wrote:For some reason I can't get "Overwrite 'maxVersion" compatibility checking" to work any longer when installing extensions.

Anyone else?


Confirmed: Not working for me either. Tried several archived extensions and Override 'maxVersion" compatibility checking has no effect. Click the button and nothing happens. No notification, no install......nothing.

EDIT-
Tried in clean test profile with only MR Tech Local Install 5.0 installed. Tried to install several extensions using Override 'maxVersion" compatibility checking. Same result.
My Firefox Add-Ons Collection: Firefox Essentials

Lost User 33597
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted May 11th, 2006, 7:09 am

slyfox wrote:
ranasrule wrote:
ranasrule wrote:this is what i get in the jsconsoe every time i press the install button with "override maxversion check" checked

Error: [Exception... "Invalid InterfaceID" nsresult: "0x80570018 (NS_ERROR_XPC_BAD_IID)" location: "JS frame :: chrome://local_install/content/xpinstall.js :: anonymous :: line 18" data: no]
Source File: chrome://local_install/content/xpinstall.js
Line: 18


MR.TECH, can u please shed some light on this :-(


What version are you using?
What it is saying is that "the error is on line 18 of "xpinstall.js""

If we look at line 18 we find this:
Code: Select all
Components.classes["@mozilla.org/network/io-service;1"]


So in other words "@mozilla.org/network/io-service;1" is an invalid Id

That’s what I gather
EDIT: After a google I found out that @mozilla.org/network/io-service is valid


iam using 5.0

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted May 11th, 2006, 11:06 am

desertfox wrote:mrtech,

My MTLI CSS mods for the Add-ons Manager and My Config in the sidebar

makes it so there is no horizontal scrollbar needed in the Addons Manager and things don't get cut off in My Config.


I'll review this and see if I can merge the changes in, thanks.


ranasrule wrote:this is what i get in the jsconsoe every time i press the install button with "override maxversion check" checked

Error: [Exception... "Invalid InterfaceID" nsresult: "0x80570018 (NS_ERROR_XPC_BAD_IID)" location: "JS frame :: chrome://local_install/content/xpinstall.js :: anonymous :: line 18" data: no]
Source File: chrome://local_install/content/xpinstall.js
Line: 18


Looks like the override component isn't registering properly, try uninstalling MTLI, restart the browser and then reinstall.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted May 11th, 2006, 11:20 am

makondo wrote:Thanks for update, Mel! Minor issues:
1. moving button bar in EM still doesn't work for me (Rounded Brushed, will test a clean profile).
2. When i checked 'Remove My Config dropmaker' - it didn't apply, had to restart Fx, worked then. Thanks a lot for the option!


ah good catch, #1 I was already working on, but #2 was part of the preferences optimization I put in to ignore myconfig preference changes when listening for other gui changes, just added a rule to exclude that preference from my optimization so the dropdown option now works instantly, thanks.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

Lost User 33597
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted May 11th, 2006, 11:32 am

mrtech wrote:
desertfox wrote:mrtech,
ranasrule wrote:this is what i get in the jsconsoe every time i press the install button with "override maxversion check" checked

Error: [Exception... "Invalid InterfaceID" nsresult: "0x80570018 (NS_ERROR_XPC_BAD_IID)" location: "JS frame :: chrome://local_install/content/xpinstall.js :: anonymous :: line 18" data: no]
Source File: chrome://local_install/content/xpinstall.js
Line: 18


Looks like the override component isn't registering properly, try uninstalling MTLI, restart the browser and then reinstall.


did that many times

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted May 11th, 2006, 11:36 am

ranasrule wrote:did that many times

can you post your configuration?

try the "Repairing Local Install or any Extension" step posted here:
http://forums.mozillazine.org/viewtopic.php?t=394723
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted May 11th, 2006, 11:40 am

mrtech wrote:
ranasrule wrote:did that many times

can you post your configuration?

try the "Repairing Local Install or any Extension" step posted here:
http://forums.mozillazine.org/viewtopic.php?t=394723


additionally try this:
- open your profile directory
- closing the browser
- delete these files: compreg.dat and xpti.dat
- restart
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted May 11th, 2006, 11:51 am

I just finished up putting in the fix for the commandbar, tested on about 15 themes with 1.5 and doing some testing with 2.0 now :) can anyone say 5.0.1 tonight?
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

Swami
 
Posts: 4221
Joined: September 25th, 2004, 11:32 pm

Post Posted May 11th, 2006, 12:26 pm

Uncle Spellbinder wrote:
Lanik wrote:For some reason I can't get "Overwrite 'maxVersion" compatibility checking" to work any longer when installing extensions.

Anyone else?


Confirmed: Not working for me either. Tried several archived extensions and Override 'maxVersion" compatibility checking has no effect. Click the button and nothing happens. No notification, no install......nothing.

EDIT-
Tried in clean test profile with only MR Tech Local Install 5.0 installed. Tried to install several extensions using Override 'maxVersion" compatibility checking. Same result.

Same here.
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3 - Build ID: 2006042618

mrtech

User avatar
 
Posts: 2007
Joined: May 15th, 2003, 7:46 am
Location: New York

Post Posted May 11th, 2006, 12:59 pm

Swami wrote:Same here.
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3 - Build ID: 2006042618


I'll do some 1.5 testing to see what's up, thanks.
mel reyes • mrtech.com • BlogPlaxoLinkedInTwitter
Support mrtech.com get our toolbar

Return to Extension/Theme Releases


Who is online

Users browsing this forum: No registered users and 3 guests